Subject: Re: Newbie contribution idea for 'git log --children': input requested

From: Junio C Hamano <[email-masked]>
Date: Sun, 11 Sep 2022 17:41:21 -0700

Jacob Stopak <[email-masked]> writes:

> I'm not sure if this really qualifies as a "bug" per se, or if
> there is some way to do this that I'm just missing, or if it goes
> against the way Git's rev lists work.

As it goes against the way GIt's rev lists work, you can call that
"working in the way it was designed", or a "design bug".

> But I'm wondering if it could be addressed by simply adding a
> discrete check to see if any commits point to HEAD as a parent,
> (only when the --children option is used of course), and if so,
> populate those ids into the log message.

In a history where all commits and their parent-child relationship
can be enumerated and the links can be reversed in-core, it would be
trivial to implement.  The challenge is to make sure it works
without wasting unusably large resources to do so in a real world
project.  Having a commit-graph might help.

Thanks.